Bug 676017 - Configre the tool to go against production.
Summary: Configre the tool to go against production.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 568421 Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-02-08 15:55 UTC by Bryan Kearney
Modified: 2011-05-19 13:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:39:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Bryan Kearney 2011-02-08 15:55:58 UTC
Need the configuration to be updated

Comment 1 Bryan Kearney 2011-02-08 15:58:15 UTC
75eb3dfcb8a844931afed8f7ab1fa7aab58bf718

Should be available in 0.93.17

Comment 2 John Sefler 2011-02-08 16:08:18 UTC
Need to verify that /etc/rhsm/rhsm.conf contains:
hostname = subscription.rhn.redhat.com
repo_ca_cert=%(ca_cert_dir)redhat-uep.pem
baseurl=https://cdn.redhat.com
insecure=0

Comment 4 John Sefler 2011-02-08 16:56:04 UTC
Upon further review, we need the letter "s" in repo_ca_cert
repo_ca_cert=%(ca_cert_dir)sredhat-uep.pem


Reference: http://docs.python.org/library/configparser.html

Comment 6 John Sefler 2011-03-04 19:32:25 UTC
[root@jsefler-onprem04 tmp]# rpm -Uvh http://download.devel.redhat.com/brewroot/packages/subscription-manager/0.95.3/1.el6/x86_64/subscription-manager-0.95.3-1.el6.x86_64.rpm
Retrieving http://download.devel.redhat.com/brewroot/packages/subscription-manager/0.95.3/1.el6/x86_64/subscription-manager-0.95.3-1.el6.x86_64.rpm
Preparing...                ########################################### [100%]
   1:subscription-manager   ########################################### [100%]
[root@jsefler-onprem04 tmp]# rpm -q subscription-manager
subscription-manager-0.95.3-1.el6.x86_64
[root@jsefler-onprem04 tmp]# grep hostname /etc/rhsm/rhsm.conf
# Server hostname:
hostname = subscriptions.rhn.webqa.redhat.com
proxy_hostname =
[root@jsefler-onprem04 tmp]# grep repo_ca_cert /etc/rhsm/rhsm.conf
repo_ca_cert = %(ca_cert_dir)sfakamai-cp1.pem
[root@jsefler-onprem04 tmp]# grep baseurl /etc/rhsm/rhsm.conf
baseurl= https://mockamai.devlab.phx1.redhat.com


^^^^ FAILS QA  This package is not built with configurations for production.

Moving back to ASSIGNED

Comment 7 Bryan Kearney 2011-03-07 13:18:40 UTC
fixed in bddca551a8291c8405dc675c7a295dc81e016106. You should see this in build
95.4

Comment 8 J.C. Molet 2011-03-08 17:29:22 UTC
New version is consistent with expected results in comments 2 & 4; moving to VERIFIED:

[root@jmolet-vm3 etc]# rpm -Uvh http://download.devel.redhat.com/brewroot/packages/subscription-manager/0.95.4/1.el6/x86_64/subscription-manager-0.95.4-1.el6.x86_64.rpm
Retrieving http://download.devel.redhat.com/brewroot/packages/subscription-manager/0.95.4/1.el6/x86_64/subscription-manager-0.95.4-1.el6.x86_64.rpm
Preparing...                ########################################### [100%]
   1:subscription-manager   ########################################### [100%]
[root@jmolet-vm3 etc]#  rpm -q subscription-manager
subscription-manager-0.95.4-1.el6.x86_64
[root@jmolet-vm3 etc]# grep hostname /etc/rhsm/rhsm.conf
# Server hostname:
hostname = subscription.rhn.redhat.com
proxy_hostname =
[root@jmolet-vm3 etc]# grep repo_ca_cert /etc/rhsm/rhsm.conf
repo_ca_cert = %(ca_cert_dir)sredhat-uep.pem
[root@jmolet-vm3 etc]# grep baseurl /etc/rhsm/rhsm.conf
baseurl= https://cdn.redhat.com
[root@jmolet-vm3 etc]# grep insecure /etc/rhsm/rhsm.conf
insecure = 0

Comment 9 errata-xmlrpc 2011-05-19 13:39:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.